# Generated by Django 2.2 on 2019-07-17 14:56

from django.contrib.auth.management import create_permissions
from django.db import migrations
from django.db.models import Q


def create_bds_buro_group(apps, schema_editor):
    for app_config in apps.get_app_configs():
        create_permissions(app_config, apps=apps, verbosity=0)

    Group = apps.get_model("auth", "Group")
    Permission = apps.get_model("auth", "Permission")
    group, created = Group.objects.get_or_create(name="Burô du BDS")
    if created:
        perms = Permission.objects.filter(
            Q(content_type__app_label="bds")
            | Q(content_type__app_label="auth") & Q(content_type__model="user")
        )
        group.permissions.set(perms)
        group.save()


class Migration(migrations.Migration):

    dependencies = [("bds", "0001_initial")]

    operations = [
        migrations.RunPython(create_bds_buro_group, migrations.RunPython.noop)
    ]
